Bug 4440 - Adding feature to print fines/fees receipts
Summary: Adding feature to print fines/fees receipts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Koustubha Kale
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-03 04:28 UTC by Koustubha Kale
Modified: 2017-04-08 04:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch for adding feature to print fines/fees receipts (9.44 KB, patch)
2010-05-04 04:13 UTC, Chris Cormack
Details | Diff | Splinter Review
Revised patch. Earlier patch was failing.. (9.05 KB, patch)
2010-05-07 17:51 UTC, Chris Cormack
Details | Diff | Splinter Review
Combined patch to print fee receipts and invoices (23.74 KB, patch)
2010-05-11 06:40 UTC, Chris Cormack
Details | Diff | Splinter Review
Revised combined patch to print fee receipts and invoices (24.45 KB, patch)
2010-10-18 14:59 UTC, Koustubha Kale
Details | Diff | Splinter Review
Screenshot of print invoice screen. (127.77 KB, image/png)
2010-11-13 10:58 UTC, Koustubha Kale
Details
Screen shot of tweaked Invoice print (107.34 KB, image/png)
2010-11-15 10:31 UTC, Koustubha Kale
Details
Revised combined patch to print fee receipts and invoices (24.51 KB, patch)
2010-11-16 05:17 UTC, Koustubha Kale
Details | Diff | Splinter Review
Patch 2/2 Layout tweaking follow-up patch (2.56 KB, patch)
2010-11-16 05:19 UTC, Koustubha Kale
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:12 UTC


---- Reported by kmkale@anantcorp.com 2010-05-03 16:28:03 ----

Small enhancement to allow printing of Fees  / Fines receipts from the Fines page.
Submitting a patch which adds print links to the Fines page with two helper files namely koha-tmpl/intranet-tmpl/prog/en/modules/members/fee-receipt.tmpl
and members/printfeercpt.pl

This will pop a new window when you click on the print link next to any receipt and will print that with total outstanding as on date.

Can easily be adapted to print invoices too.



---- Additional Comments From kmkale@anantcorp.com 2010-05-04 04:13:15 ----

Created an attachment
Patch for adding feature to print fines/fees receipts





---- Additional Comments From kmkale@anantcorp.com 2010-05-07 17:51:57 ----

Created an attachment
Revised patch. Earlier patch was failing.. 





---- Additional Comments From kmkale@anantcorp.com 2010-05-11 06:40:12 ----

Created an attachment
Combined patch to print fee receipts and invoices

Combined the patches for printing fee receipts and invoices.
Added koha-tmpl/intranet-tmpl/prog/en/css/printreceiptinvoice.css to better control printing this type of material.
Changed the negative sign that appeared in front of fee receipts.




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4440 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4440
Imported an attachment (id=2106)
Imported an attachment (id=2107)
Imported an attachment (id=2108)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2106 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2107 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2108 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-08-11 15:58:58 UTC
The latest patch still applies but introduces invalid markup in the templates. I'd also like to see the template and script names match, as is the Koha convention.
Comment 2 Koustubha Kale 2010-10-13 08:42:30 UTC
(In reply to comment #1)
> The latest patch still applies but introduces invalid markup in the templates.
> I'd also like to see the template and script names match, as is the Koha
> convention.

I will change the template / scrip names to match.

Could you please help me by pointing out the invalid markup?
Comment 3 Owen Leonard 2010-10-15 13:14:39 UTC
I use a Firefox add-on called "Web Developer Toolbar" which offers a tool called "Validate Local HTML." It automatically submits the source of your page to the W3C validtor (required for staff pages since the validator can't access pages which require a login). The validator points out errors like:

- unquoted attributes: colspan=3 should be colspan="3"
- unescaped & symbols. & should be &
- <tfood> must be positioned right after <thead> in table markup
- <script> tags should say <script type="javascript"> (the language attribute is not used)
Comment 4 Koustubha Kale 2010-10-18 14:59:31 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2010-11-08 02:08:52 UTC
Pushed to new/enh/bug_4440  

Please test and let me know if it performs as it should, then I will merge to master
Comment 6 Frédéric Demians 2010-11-08 09:05:29 UTC
> Please test and let me know if it performs as it should, then I will merge to
> master

My comment here:

http://lists.koha-community.org/pipermail/koha-patches/2010-November/012853.html
Comment 7 Koustubha Kale 2010-11-13 10:58:28 UTC
Created attachment 2745 [details]
Screenshot of print invoice screen.

Screenshot of print invoice screen.
Cant see any border outside the amounts table as commented by Frédéric Demians
Comment 8 Koustubha Kale 2010-11-13 11:00:39 UTC
(In reply to comment #6)
> My comment here:
> 
> http://lists.koha-community.org/pipermail/koha-patches/2010-November/012853.html

1) In India its customary to list party name on the next line after To,
2) In the Invoice / Free receipt print page I cant find any double border /
border outside amounts table as mentioned by Frédéric Demians. Please see a
screen shot attached from my system. Please guide on what needs to be done
about this.
Comment 9 Koustubha Kale 2010-11-13 11:03:36 UTC
(In reply to comment #8)

> 2) In the Invoice / Free receipt 

s/Free/Fee
Comment 10 Frédéric Demians 2010-11-13 13:40:50 UTC
For me, the borders should surround only the Date / Description of
charge / Amount table, and not extend to the above section Library name,
INVOICE label and recipient. INVOICE should be bigger and library name
smaller. But I understant that it depends of regional taste... I just
have reservations about the layout not about the functionality which is
great and effective. I will propose a layout tweaking patch. Thanks
Koustubha.
Comment 12 Koustubha Kale 2010-11-13 15:07:57 UTC
(In reply to comment #11)
> http://lists.koha-community.org/pipermail/koha-patches/2010-November/012967.html

Thanks Frédéric. 
New to this so what happens now?
Comment 13 MJ Ray (software.coop) 2010-11-15 10:07:21 UTC
This bug is mentioned in:
Bug 4440: Revised combined patch to print	fee receipts and invoices http://lists.koha-community.org/pipermail/koha-patches/2010-October/012695.html
Comment 14 Koustubha Kale 2010-11-15 10:31:57 UTC
Created attachment 2753 [details]
Screen shot of tweaked Invoice print

I really like the centered INVOICE and Branch name.
So what do you think of the attached screen shot which encloses the whole thing with a border top and makes Bill To: Name on a single line?
Comment 15 Frédéric Demians 2010-11-15 10:48:22 UTC
> I really like the centered INVOICE and Branch name.
> So what do you think of the attached screen shot which encloses the whole thing
> with a border top and makes Bill To: Name on a single line?

I understand. It's perfect for me. Thanks.
Comment 16 Koustubha Kale 2010-11-16 05:17:45 UTC
Created attachment 2758 [details] [review]
Revised combined patch to print fee receipts and invoices

Patch 1 of 2
Second patch contains the tweaks as discussed with Frederic.
Comment 17 Koustubha Kale 2010-11-16 05:19:59 UTC
Created attachment 2759 [details] [review]
Patch 2/2 Layout tweaking follow-up patch

Patch 2 of 2
This patch contains the layout tweaks as discussed with Frederic.
Comment 18 Chris Cormack 2010-11-18 01:36:12 UTC
Pushed and merged, please test and close